Daily Department Chat Statistics
Scope:
client
or
operator
date_from
required
The date to start the search from. Must be in YYYY-MM-DD format
date_to
required
The date to end the search at. Must be in YYYY-MM-DD format
payload
The daily department chat statistics
abandoned_chats
The total number of abandoned chats
auto_invitations_accepted
The total number auto invitations accepted
avg_chat_time
The average chat time
avg_greet_time
The average time before an operator's first message
avg_response_time
The average response time in seconds
avg_wait_time
The average wait time
avg_wrap_up_time
The average wrap-up time in seconds
challenge_score
The challenge score
chat_sessions
The total number of chat sessions
chat_time
The total chat time
date
The chat date
department_id
The department id
department_name
The department name
dropped_chats
The total number of dropped chats
The associated chat email
max_wait_time
The longest wait time
offline_messages
The total number of offline messages
proactive_chat_acceptences
The total number of proactive chat acceptances
proactive_chat_requests
The total number of proactive chat requests
sms_chats
The total number of sms chats
transfers_in
The total number of tranfers in
transfers_out
The total number of tranfers out
status
The system response status. Will be ok or error
curl
example request
1
curl -H "Authorization: Bearer {{Oauth Token}}"
2
https://developer.livehelpnow.net//api/analytics/chat/daily_department_chat_statistics\?date_from\=2021-04-01\&date_to\=2021-04-30
example response
1
{
2
"payload": [{
3
"abandoned_chats"
: 2,
4
"auto_invitations_accepted"
: 2,
5
"avg_chat_time"
: "00:02:01",
6
"avg_greet_time"
: "00:00:21",
7
"avg_response_time"
: 18,
8
"avg_wait_time"
: "00:00:10",
9
"avg_wrap_up_time"
: 12,
10
"challenge_score"
: "0.00",
11
"chat_sessions"
: 5,
12
"chat_time"
: "00:54:03",
13
"date"
: "04/30/2021",
14
"department_id"
: 0,
15
"department_name"
: "Not assigned to a department",
16
"dropped_chats"
: 0,
18
"max_wait_time"
: "00:05:05",
19
"offline_messages"
: 0,
20
"proactive_chat_acceptences"
: 2,
21
"proactive_chat_requests"
: 2,
22
"sms_chats"
: 3,
23
"transfers_in"
: 0,
24
"transfers_out"
: 0
25
}...],
26
"status": "ok"
27
}